org.apache.poi.hslf.record

## Class ExControl

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordContainer
    - - org.apache.poi.hslf.record.ExEmbed
      - - org.apache.poi.hslf.record.ExControl

- All Implemented Interfaces:
    GenericRecord

      public final class ExControl
      extends ExEmbed

  A container record that specifies information about an ActiveX control. It contains:

  1. ExControlAtom (4091) 2. ExOleObjAtom (4035) 3. CString (4026), Instance MenuName (1) used for menus and the Links dialog box. 4. CString (4026), Instance ProgID (2) that stores the OLE Programmatic Identifier. A ProgID is a string that uniquely identifies a given object. 5. CString (4026), Instance ClipboardName (3) that appears in the paste special dialog. 6. MetaFile( 4033), optional

  Author:
    Yegor kozlov

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.ExEmbed

      `embedAtom`

    - ### Fields inherited from class org.apache.poi.hslf.record.RecordContainer

      `_children`

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ExControl()` Create a new ExEmbed, with blank fields
    `protected` | `ExControl(byte[] source, int start, int len)` Set things up, and find our more interesting children

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExControlAtom` | `getExControlAtom()` Gets the `ExControlAtom`.
    `long` | `getRecordType()` Returns the type (held as a little endian in bytes 3 and 4) that this class handles.

    - ### Methods inherited from class org.apache.poi.hslf.record.ExEmbed

      `getClipboardName, getExEmbedAtom, getExOleObjAtom, getMenuName, getProgId, setClipboardName, setMenuName, setProgId, writeOut`

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordContainer

      `addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, getGenericProperties, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExControl

          protected ExControl(byte[] source,
                              int start,
                              int len)

      Set things up, and find our more interesting children
      Parameters:
        `source` - the source data as a byte array.
        `start` - the start offset into the byte array.
        `len` - the length of the slice in the byte array.

    - #### ExControl

          public ExControl()

      Create a new ExEmbed, with blank fields

  - ### Method Detail

    - #### getExControlAtom

          public ExControlAtom getExControlAtom()

      Gets the `ExControlAtom`.
      Returns:
        the `ExControlAtom`.

    - #### getRecordType

          public long getRecordType()

      Returns the type (held as a little endian in bytes 3 and 4) that this class handles.
      Overrides:
        `getRecordType` in class `ExEmbed`
      Returns:
        the record type.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.